# SceKernelThreadRunStatus Struct Reference
[Thread Manager Library]

`#include <sdk/user/pspthreadman.h>`

Collaboration diagram for SceKernelThreadRunStatus:

[legend]

## Detailed Description

Statistics about a running thread.

See also:
  sceKernelReferThreadRunStatus.

## Data Fields

SceSize | size
int | status
int | currentPriority
int | waitType
int | waitId
int | wakeupCount
SceKernelSysClock | runClocks
SceUInt | intrPreemptCount
SceUInt | threadPreemptCount
SceUInt | releaseCount

## Field Documentation

int SceKernelThreadRunStatus::currentPriority

SceUInt SceKernelThreadRunStatus::intrPreemptCount

SceUInt SceKernelThreadRunStatus::releaseCount

SceKernelSysClock SceKernelThreadRunStatus::runClocks

SceSize SceKernelThreadRunStatus::size

int SceKernelThreadRunStatus::status

SceUInt SceKernelThreadRunStatus::threadPreemptCount

int SceKernelThreadRunStatus::waitId

int SceKernelThreadRunStatus::waitType

int SceKernelThreadRunStatus::wakeupCount

The documentation for this struct was generated from the following file:

- sdk/user/pspthreadman.h